/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer: Florent BENOIT
 * --------------------------------------------------------------------------
 * $Id: InitParam.java 15428 2008-10-07 11:20:29Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.deployment.common.xml;

/**
 * This class defines the implementation of the element init-param
 * @author Florent Benoit
 */
public class InitParam extends AbsElement {

    /**
     * Name of this parameter
     */
    private String paramName = null;

    /**
     * Value of this parameter
     */
    private String paramValue = null;

    /**
     * Description of the ejb-ref
     */
    private String description = null;

    // Setters

    /**
     * Sets the description
     * @param description the description to use
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Sets the name
     * @param paramName the name to use
     */
    public void setParamName(String paramName) {
        this.paramName = paramName;
    }


    /**
     * Sets the value
     * @param paramValue the value
     */
    public void setParamValue(String paramValue) {
        this.paramValue = paramValue;
    }



    // Getters


    /**
     * @return the name of the parameter
     */
    public String getParamName() {
        return paramName;
    }


    /**
     * @return the value of the parameter
     */
    public String getParamValue() {
        return paramValue;
    }

    /**
     * @return the description of the parameter
     */
    public String getDescription() {
        return description;
    }


    /**
     * Represents this element by it's XML description.
     * @param indent use this indent for prexifing XML representation.
     * @return the XML description of this object.
     */
    public String toXML(int indent) {
        StringBuffer sb = new StringBuffer();
        sb.append(indent(indent));
        sb.append("<init-param>\n");

        indent += 2;

        // name
        sb.append(xmlElement(paramName, "param-name", indent));

        // value
        sb.append(xmlElement(paramValue, "param-value", indent));

        // value
        sb.append(xmlElement(description, "description", indent));

        indent -= 2;
        sb.append(indent(indent));
        sb.append("</init-param>\n");

        return sb.toString();
    }



}
